Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
[qt overlay] Qt beta and live ebuilds & Qt4 apps
View unanswered posts
View posts from last 24 hours

Goto page Previous  1, 2, 3 ... 7, 8, 9 ... 14, 15, 16  Next  
Reply to topic    Gentoo Forums Forum Index Unsupported Software
View previous topic :: View next topic  
Author Message
i92guboj
Bodhisattva
Bodhisattva


Joined: 30 Nov 2004
Posts: 10306
Location: Córdoba (Spain)

PostPosted: Wed May 20, 2009 4:05 pm    Post subject: Reply with quote

I know that the proper fix would be upstream. But is there a chance that the arora ebuild in this overlay can use emake -j1 in the while?
_________________
Gentoo Handbook | My website
Back to top
View user's profile Send private message
kernelOfTruth
Watchman
Watchman


Joined: 20 Dec 2005
Posts: 6108
Location: Vienna, Austria; Germany; hello world :)

PostPosted: Fri May 29, 2009 11:12 am    Post subject: Reply with quote

i92guboj wrote:
Indeed, it works that way.


++

MAKEOPTS="-j1" fixes it :)
_________________
https://github.com/kernelOfTruth/ZFS-for-SystemRescueCD/tree/ZFS-for-SysRescCD-4.9.0
https://github.com/kernelOfTruth/pulseaudio-equalizer-ladspa

Hardcore Gentoo Linux user since 2004 :D


Last edited by kernelOfTruth on Fri May 29, 2009 10:43 pm; edited 1 time in total
Back to top
View user's profile Send private message
Hwoarang
Retired Dev
Retired Dev


Joined: 24 Feb 2007
Posts: 701
Location: Leeds, UK

PostPosted: Fri May 29, 2009 5:36 pm    Post subject: Reply with quote

i92guboj wrote:
I know that the proper fix would be upstream. But is there a chance that the arora ebuild in this overlay can use emake -j1 in the while?


I ll fix it :)
Back to top
View user's profile Send private message
Hwoarang
Retired Dev
Retired Dev


Joined: 24 Feb 2007
Posts: 701
Location: Leeds, UK

PostPosted: Sun Jun 14, 2009 11:21 am    Post subject: Reply with quote

Snapshots for PyQt4-4.5.1, sip-4.8.1, PyQt-3.18.1 added on the repository

I updated the 1st post as well :)
Back to top
View user's profile Send private message
kernelOfTruth
Watchman
Watchman


Joined: 20 Dec 2005
Posts: 6108
Location: Vienna, Austria; Germany; hello world :)

PostPosted: Thu Jul 02, 2009 10:42 pm    Post subject: Reply with quote

qt-webkit fails because of missing phonon ?
Quote:
platform/graphics/qt/MediaPlayerPrivatePhonon.cpp:38:18: error: phonon: No such file or directory
compiling .moc/release-shared/moc_QWebPopup.cpp
compiling .moc/release-shared/moc_MenuEventProxy.cpp
compiling .moc/release-shared/moc_qwebpluginfactory.cpp
platform/graphics/qt/MediaPlayerPrivatePhonon.cpp: In function ‘QByteArray debugMediaObject(WebCore::MediaPlayerPrivate*, const Phonon::MediaObject&)’:
platform/graphics/qt/MediaPlayerPrivatePhonon.cpp:53: error: invalid use of incomplete type ‘const struct Phonon::MediaObject’
platform/graphics/qt/MediaPlayerPrivatePhonon.h:34: error: forward declaration of ‘const struct Phonon::MediaObject’
platform/graphics/qt/MediaPlayerPrivatePhonon.cpp:54: error: invalid use of incomplete type ‘const struct Phonon::MediaObject’
platform/graphics/qt/MediaPlayerPrivatePhonon.h:34: error: forward declaration of ‘const struct Phonon::MediaObject’
platform/graphics/qt/MediaPlayerPrivatePhonon.cpp:55: error: invalid use of incomplete type ‘const struct Phonon::MediaObject’
platform/graphics/qt/MediaPlayerPrivatePhonon.h:34: error: forward declaration of ‘const struct Phonon::MediaObject’
platform/graphics/qt/MediaPlayerPrivatePhonon.cpp:56: error: invalid use of incomplete type ‘const struct Phonon::MediaObject’
platform/graphics/qt/MediaPlayerPrivatePhonon.h:34: error: forward declaration of ‘const struct Phonon::MediaObject’
platform/graphics/qt/MediaPlayerPrivatePhonon.cpp:58: error: invalid use of incomplete type ‘const struct Phonon::MediaObject’
platform/graphics/qt/MediaPlayerPrivatePhonon.h:34: error: forward declaration of ‘const struct Phonon::MediaObject’
platform/graphics/qt/MediaPlayerPrivatePhonon.cpp:63: error: invalid use of incomplete type ‘const struct Phonon::MediaObject’
platform/graphics/qt/MediaPlayerPrivatePhonon.h:34: error: forward declaration of ‘const struct Phonon::MediaObject’
platform/graphics/qt/MediaPlayerPrivatePhonon.cpp:64: error: invalid use of incomplete type ‘const struct Phonon::MediaObject’
platform/graphics/qt/MediaPlayerPrivatePhonon.h:34: error: forward declaration of ‘const struct Phonon::MediaObject’
platform/graphics/qt/MediaPlayerPrivatePhonon.cpp: In constructor ‘WebCore::MediaPlayerPrivate::MediaPlayerPrivate(WebCore::MediaPlayer*)’:
platform/graphics/qt/MediaPlayerPrivatePhonon.cpp:80: error: invalid use of incomplete type ‘struct Phonon::MediaObject’
platform/graphics/qt/MediaPlayerPrivatePhonon.h:34: error: forward declaration of ‘struct Phonon::MediaObject’
platform/graphics/qt/MediaPlayerPrivatePhonon.cpp:81: error: invalid use of incomplete type ‘struct Phonon::VideoWidget’
platform/graphics/qt/MediaPlayerPrivatePhonon.h:35: error: forward declaration of ‘struct Phonon::VideoWidget’
platform/graphics/qt/MediaPlayerPrivatePhonon.cpp:82: error: invalid use of incomplete type ‘struct Phonon::AudioOutput’
platform/graphics/qt/MediaPlayerPrivatePhonon.h:36: error: forward declaration of ‘struct Phonon::AudioOutput’
platform/graphics/qt/MediaPlayerPrivatePhonon.cpp:86: error: invalid use of incomplete type ‘struct Phonon::VideoWidget’
platform/graphics/qt/MediaPlayerPrivatePhonon.h:35: error: forward declaration of ‘struct Phonon::VideoWidget’
platform/graphics/qt/MediaPlayerPrivatePhonon.cpp:91: error: ‘createPath’ was not declared in this scope
platform/graphics/qt/MediaPlayerPrivatePhonon.cpp:95: error: invalid use of incomplete type ‘struct Phonon::VideoWidget’
platform/graphics/qt/MediaPlayerPrivatePhonon.h:35: error: forward declaration of ‘struct Phonon::VideoWidget’
platform/graphics/qt/MediaPlayerPrivatePhonon.cpp:96: error: no matching function for call to ‘qFindChildren(Phonon::VideoWidget*&)’
platform/graphics/qt/MediaPlayerPrivatePhonon.cpp:96: error: template argument 1 is invalid
platform/graphics/qt/MediaPlayerPrivatePhonon.cpp:96: error: invalid type in declaration before ‘(’ token
platform/graphics/qt/MediaPlayerPrivatePhonon.cpp:96: error: no matching function for call to ‘qFindChildren(Phonon::VideoWidget*&)’
platform/graphics/qt/MediaPlayerPrivatePhonon.cpp:96: error: request for member ‘brk’ in ‘_container_’, which is of non-class type ‘int’
platform/graphics/qt/MediaPlayerPrivatePhonon.cpp:96: error: request for member ‘i’ in ‘_container_’, which is of non-class type ‘int’
platform/graphics/qt/MediaPlayerPrivatePhonon.cpp:96: error: request for member ‘e’ in ‘_container_’, which is of non-class type ‘int’
platform/graphics/qt/MediaPlayerPrivatePhonon.cpp:96: error: request for member ‘brk’ in ‘_container_’, which is of non-class type ‘int’
platform/graphics/qt/MediaPlayerPrivatePhonon.cpp:96: error: request for member ‘i’ in ‘_container_’, which is of non-class type ‘int’
platform/graphics/qt/MediaPlayerPrivatePhonon.cpp:96: error: request for member ‘i’ in ‘_container_’, which is of non-class type ‘int’
platform/graphics/qt/MediaPlayerPrivatePhonon.cpp:96: error: request for member ‘brk’ in ‘_container_’, which is of non-class type ‘int’
platform/graphics/qt/MediaPlayerPrivatePhonon.cpp:101: error: no matching function for call to ‘WebCore::MediaPlayerPrivate::connect(Phonon::MediaObject*&, const char [44], WebCore::MediaPlayerPrivate* const, const char [44])’
../../../../include/QtCore/../../src/corelib/kernel/qobject.h:191: note: candidates are: static bool QObject::connect(const QObject*, const char*, const QObject*, const char*, Qt::ConnectionType)
../../../../include/QtCore/../../src/corelib/kernel/qobject.h:306: note: bool QObject::connect(const QObject*, const char*, const char*, Qt::ConnectionType) const
platform/graphics/qt/MediaPlayerPrivatePhonon.cpp:102: error: no matching function for call to ‘WebCore::MediaPlayerPrivate::connect(Phonon::MediaObject*&, const char [19], WebCore::MediaPlayerPrivate* const, const char [19])’
../../../../include/QtCore/../../src/corelib/kernel/qobject.h:191: note: candidates are: static bool QObject::connect(const QObject*, const char*, const QObject*, const char*, Qt::ConnectionType)
../../../../include/QtCore/../../src/corelib/kernel/qobject.h:306: note: bool QObject::connect(const QObject*, const char*, const char*, Qt::ConnectionType) const
platform/graphics/qt/MediaPlayerPrivatePhonon.cpp:103: error: no matching function for call to ‘WebCore::MediaPlayerPrivate::connect(Phonon::MediaObject*&, const char [23], WebCore::MediaPlayerPrivate* const, const char [23])’
../../../../include/QtCore/../../src/corelib/kernel/qobject.h:191: note: candidates are: static bool QObject::connect(const QObject*, const char*, const QObject*, const char*, Qt::ConnectionType)
../../../../include/QtCore/../../src/corelib/kernel/qobject.h:306: note: bool QObject::connect(const QObject*, const char*, const char*, Qt::ConnectionType) const
platform/graphics/qt/MediaPlayerPrivatePhonon.cpp:104: error: no matching function for call to ‘WebCore::MediaPlayerPrivate::connect(Phonon::MediaObject*&, const char [23], WebCore::MediaPlayerPrivate* const, const char [23])’
../../../../include/QtCore/../../src/corelib/kernel/qobject.h:191: note: candidates are: static bool QObject::connect(const QObject*, const char*, const QObject*, const char*, Qt::ConnectionType)
../../../../include/QtCore/../../src/corelib/kernel/qobject.h:306: note: bool QObject::connect(const QObject*, const char*, const char*, Qt::ConnectionType) const
platform/graphics/qt/MediaPlayerPrivatePhonon.cpp:105: error: no matching function for call to ‘WebCore::MediaPlayerPrivate::connect(Phonon::MediaObject*&, const char [19], WebCore::MediaPlayerPrivate* const, const char [19])’
../../../../include/QtCore/../../src/corelib/kernel/qobject.h:191: note: candidates are: static bool QObject::connect(const QObject*, const char*, const QObject*, const char*, Qt::ConnectionType)
../../../../include/QtCore/../../src/corelib/kernel/qobject.h:306: note: bool QObject::connect(const QObject*, const char*, const char*, Qt::ConnectionType) const
platform/graphics/qt/MediaPlayerPrivatePhonon.cpp:106: error: no matching function for call to ‘WebCore::MediaPlayerPrivate::connect(Phonon::MediaObject*&, const char [12], WebCore::MediaPlayerPrivate* const, const char [12])’
../../../../include/QtCore/../../src/corelib/kernel/qobject.h:191: note: candidates are: static bool QObject::connect(const QObject*, const char*, const QObject*, const char*, Qt::ConnectionType)
../../../../include/QtCore/../../src/corelib/kernel/qobject.h:306: note: bool QObject::connect(const QObject*, const char*, const char*, Qt::ConnectionType) const
platform/graphics/qt/MediaPlayerPrivatePhonon.cpp:108: error: no matching function for call to ‘WebCore::MediaPlayerPrivate::connect(Phonon::MediaObject*&, const char [50], WebCore::MediaPlayerPrivate* const, const char [50])’
../../../../include/QtCore/../../src/corelib/kernel/qobject.h:191: note: candidates are: static bool QObject::connect(const QObject*, const char*, const QObject*, const char*, Qt::ConnectionType)
../../../../include/QtCore/../../src/corelib/kernel/qobject.h:306: note: bool QObject::connect(const QObject*, const char*, const char*, Qt::ConnectionType) const
platform/graphics/qt/MediaPlayerPrivatePhonon.cpp:109: error: no matching function for call to ‘WebCore::MediaPlayerPrivate::connect(Phonon::MediaObject*&, const char [17], WebCore::MediaPlayerPrivate* const, const char [17])’
../../../../include/QtCore/../../src/corelib/kernel/qobject.h:191: note: candidates are: static bool QObject::connect(const QObject*, const char*, const QObject*, const char*, Qt::ConnectionType)
../../../../include/QtCore/../../src/corelib/kernel/qobject.h:306: note: bool QObject::connect(const QObject*, const char*, const char*, Qt::ConnectionType) const
platform/graphics/qt/MediaPlayerPrivatePhonon.cpp:110: error: no matching function for call to ‘WebCore::MediaPlayerPrivate::connect(Phonon::MediaObject*&, const char [26], WebCore::MediaPlayerPrivate* const, const char [26])’
../../../../include/QtCore/../../src/corelib/kernel/qobject.h:191: note: candidates are: static bool QObject::connect(const QObject*, const char*, const QObject*, const char*, Qt::ConnectionType)
../../../../include/QtCore/../../src/corelib/kernel/qobject.h:306: note: bool QObject::connect(const QObject*, const char*, const char*, Qt::ConnectionType) const
platform/graphics/qt/MediaPlayerPrivatePhonon.cpp: In destructor ‘virtual WebCore::MediaPlayerPrivate::~MediaPlayerPrivate()’:
platform/graphics/qt/MediaPlayerPrivatePhonon.cpp:116: error: invalid use of incomplete type ‘struct Phonon::VideoWidget’
platform/graphics/qt/MediaPlayerPrivatePhonon.h:35: error: forward declaration of ‘struct Phonon::VideoWidget’
platform/graphics/qt/MediaPlayerPrivatePhonon.cpp:117: warning: possible problem detected in invocation of delete operator:
platform/graphics/qt/MediaPlayerPrivatePhonon.cpp:117: warning: invalid use of incomplete type ‘struct Phonon::VideoWidget’
platform/graphics/qt/MediaPlayerPrivatePhonon.h:35: warning: forward declaration of ‘struct Phonon::VideoWidget’
platform/graphics/qt/MediaPlayerPrivatePhonon.cpp:117: note: neither the destructor nor the class-specific operator delete will be called, even if they are declared when the class is defined.
platform/graphics/qt/MediaPlayerPrivatePhonon.cpp:121: warning: possible problem detected in invocation of delete operator:
platform/graphics/qt/MediaPlayerPrivatePhonon.cpp:121: warning: invalid use of incomplete type ‘struct Phonon::AudioOutput’
platform/graphics/qt/MediaPlayerPrivatePhonon.h:36: warning: forward declaration of ‘struct Phonon::AudioOutput’
platform/graphics/qt/MediaPlayerPrivatePhonon.cpp:121: note: neither the destructor nor the class-specific operator delete will be called, even if they are declared when the class is defined.
platform/graphics/qt/MediaPlayerPrivatePhonon.cpp:125: warning: possible problem detected in invocation of delete operator:
platform/graphics/qt/MediaPlayerPrivatePhonon.cpp:125: warning: invalid use of incomplete type ‘struct Phonon::MediaObject’
platform/graphics/qt/MediaPlayerPrivatePhonon.h:34: warning: forward declaration of ‘struct Phonon::MediaObject’
platform/graphics/qt/MediaPlayerPrivatePhonon.cpp:125: note: neither the destructor nor the class-specific operator delete will be called, even if they are declared when the class is defined.
platform/graphics/qt/MediaPlayerPrivatePhonon.cpp: In member function ‘bool WebCore::MediaPlayerPrivate::hasVideo() const’:
platform/graphics/qt/MediaPlayerPrivatePhonon.cpp:136: error: invalid use of incomplete type ‘struct Phonon::MediaObject’
platform/graphics/qt/MediaPlayerPrivatePhonon.h:34: error: forward declaration of ‘struct Phonon::MediaObject’
platform/graphics/qt/MediaPlayerPrivatePhonon.cpp: In member function ‘void WebCore::MediaPlayerPrivate::load(WebCore::String)’:
platform/graphics/qt/MediaPlayerPrivatePhonon.cpp:157: error: invalid use of incomplete type ‘struct Phonon::MediaObject’
platform/graphics/qt/MediaPlayerPrivatePhonon.h:34: error: forward declaration of ‘struct Phonon::MediaObject’
platform/graphics/qt/MediaPlayerPrivatePhonon.cpp:158: error: invalid use of incomplete type ‘struct Phonon::AudioOutput’
platform/graphics/qt/MediaPlayerPrivatePhonon.h:36: error: forward declaration of ‘struct Phonon::AudioOutput’
platform/graphics/qt/MediaPlayerPrivatePhonon.cpp: In member function ‘void WebCore::MediaPlayerPrivate::play()’:
platform/graphics/qt/MediaPlayerPrivatePhonon.cpp:171: error: invalid use of incomplete type ‘struct Phonon::MediaObject’
platform/graphics/qt/MediaPlayerPrivatePhonon.h:34: error: forward declaration of ‘struct Phonon::MediaObject’
platform/graphics/qt/MediaPlayerPrivatePhonon.cpp: In member function ‘void WebCore::MediaPlayerPrivate::pause()’:
platform/graphics/qt/MediaPlayerPrivatePhonon.cpp:177: error: invalid use of incomplete type ‘struct Phonon::MediaObject’
platform/graphics/qt/MediaPlayerPrivatePhonon.h:34: error: forward declaration of ‘struct Phonon::MediaObject’
platform/graphics/qt/MediaPlayerPrivatePhonon.cpp: In member function ‘bool WebCore::MediaPlayerPrivate::paused() const’:
platform/graphics/qt/MediaPlayerPrivatePhonon.cpp:183: error: invalid use of incomplete type ‘struct Phonon::MediaObject’
platform/graphics/qt/MediaPlayerPrivatePhonon.h:34: error: forward declaration of ‘struct Phonon::MediaObject’
platform/graphics/qt/MediaPlayerPrivatePhonon.cpp: In member function ‘void WebCore::MediaPlayerPrivate::seek(float)’:
platform/graphics/qt/MediaPlayerPrivatePhonon.cpp:192: error: invalid use of incomplete type ‘struct Phonon::MediaObject’
platform/graphics/qt/MediaPlayerPrivatePhonon.h:34: error: forward declaration of ‘struct Phonon::MediaObject’
platform/graphics/qt/MediaPlayerPrivatePhonon.cpp:198: error: invalid use of incomplete type ‘struct Phonon::MediaObject’
platform/graphics/qt/MediaPlayerPrivatePhonon.h:34: error: forward declaration of ‘struct Phonon::MediaObject’
platform/graphics/qt/MediaPlayerPrivatePhonon.cpp: In member function ‘float WebCore::MediaPlayerPrivate::duration() const’:
platform/graphics/qt/MediaPlayerPrivatePhonon.cpp:211: error: invalid use of incomplete type ‘struct Phonon::MediaObject’
platform/graphics/qt/MediaPlayerPrivatePhonon.h:34: error: forward declaration of ‘struct Phonon::MediaObject’
platform/graphics/qt/MediaPlayerPrivatePhonon.cpp: In member function ‘float WebCore::MediaPlayerPrivate::currentTime() const’:
platform/graphics/qt/MediaPlayerPrivatePhonon.cpp:222: error: invalid use of incomplete type ‘struct Phonon::MediaObject’
platform/graphics/qt/MediaPlayerPrivatePhonon.h:34: error: forward declaration of ‘struct Phonon::MediaObject’
platform/graphics/qt/MediaPlayerPrivatePhonon.cpp: In member function ‘void WebCore::MediaPlayerPrivate::setVolume(float)’:
platform/graphics/qt/MediaPlayerPrivatePhonon.cpp:271: error: invalid use of incomplete type ‘struct Phonon::AudioOutput’
platform/graphics/qt/MediaPlayerPrivatePhonon.h:36: error: forward declaration of ‘struct Phonon::AudioOutput’
platform/graphics/qt/MediaPlayerPrivatePhonon.cpp: In member function ‘void WebCore::MediaPlayerPrivate::setMuted(bool)’:
platform/graphics/qt/MediaPlayerPrivatePhonon.cpp:277: error: invalid use of incomplete type ‘struct Phonon::AudioOutput’
platform/graphics/qt/MediaPlayerPrivatePhonon.h:36: error: forward declaration of ‘struct Phonon::AudioOutput’
platform/graphics/qt/MediaPlayerPrivatePhonon.cpp: In member function ‘void WebCore::MediaPlayerPrivate::updateStates()’:
platform/graphics/qt/MediaPlayerPrivatePhonon.cpp:309: error: invalid use of incomplete type ‘struct Phonon::MediaObject’
platform/graphics/qt/MediaPlayerPrivatePhonon.h:34: error: forward declaration of ‘struct Phonon::MediaObject’
platform/graphics/qt/MediaPlayerPrivatePhonon.cpp:315: error: invalid use of incomplete type ‘struct Phonon::MediaObject’
platform/graphics/qt/MediaPlayerPrivatePhonon.h:34: error: forward declaration of ‘struct Phonon::MediaObject’
platform/graphics/qt/MediaPlayerPrivatePhonon.cpp:321: error: invalid use of incomplete type ‘struct Phonon::MediaObject’
platform/graphics/qt/MediaPlayerPrivatePhonon.h:34: error: forward declaration of ‘struct Phonon::MediaObject’
platform/graphics/qt/MediaPlayerPrivatePhonon.cpp:326: error: invalid use of incomplete type ‘struct Phonon::MediaObject’
platform/graphics/qt/MediaPlayerPrivatePhonon.h:34: error: forward declaration of ‘struct Phonon::MediaObject’
platform/graphics/qt/MediaPlayerPrivatePhonon.cpp: In member function ‘void WebCore::MediaPlayerPrivate::setVisible(bool)’:
platform/graphics/qt/MediaPlayerPrivatePhonon.cpp:357: error: invalid use of incomplete type ‘struct Phonon::VideoWidget’
platform/graphics/qt/MediaPlayerPrivatePhonon.h:35: error: forward declaration of ‘struct Phonon::VideoWidget’
platform/graphics/qt/MediaPlayerPrivatePhonon.cpp: In member function ‘void WebCore::MediaPlayerPrivate::setRect(const WebCore::IntRect&)’:
platform/graphics/qt/MediaPlayerPrivatePhonon.cpp:369: error: invalid use of incomplete type ‘struct Phonon::VideoWidget’
platform/graphics/qt/MediaPlayerPrivatePhonon.h:35: error: forward declaration of ‘struct Phonon::VideoWidget’
platform/graphics/qt/MediaPlayerPrivatePhonon.cpp:372: error: invalid use of incomplete type ‘struct Phonon::VideoWidget’
platform/graphics/qt/MediaPlayerPrivatePhonon.h:35: error: forward declaration of ‘struct Phonon::VideoWidget’
platform/graphics/qt/MediaPlayerPrivatePhonon.cpp: In member function ‘WebCore::IntSize WebCore::MediaPlayerPrivate::naturalSize() const’:
platform/graphics/qt/MediaPlayerPrivatePhonon.cpp:389: error: invalid use of incomplete type ‘struct Phonon::VideoWidget’
platform/graphics/qt/MediaPlayerPrivatePhonon.h:35: error: forward declaration of ‘struct Phonon::VideoWidget’
platform/graphics/qt/MediaPlayerPrivatePhonon.cpp: In member function ‘void WebCore::MediaPlayerPrivate::paint(WebCore::GraphicsContext*, const WebCore::IntRect&)’:
platform/graphics/qt/MediaPlayerPrivatePhonon.cpp:416: error: invalid use of incomplete type ‘struct Phonon::VideoWidget’
platform/graphics/qt/MediaPlayerPrivatePhonon.h:35: error: forward declaration of ‘struct Phonon::VideoWidget’
compiling .moc/release-shared/moc_qwebframe.cpp
compiling .moc/release-shared/moc_qwebview.cpp
make: *** [.obj/release-shared/MediaPlayerPrivatePhonon.o] Error 1
make: *** Waiting for unfinished jobs....
*
* ERROR: x11-libs/qt-webkit-4.5.9999 failed.
* Call stack:
* ebuild.sh, line 49: Called src_compile
* environment, line 3458: Called qt4-build-edge_src_compile
* environment, line 3184: Called build_directories 'src/3rdparty/webkit/WebCore tools/designer/src/plugins/qwebview'
* environment, line 656: Called die
* The specific snippet of code:
* emake || die "emake failed";
* The die message:
* emake failed


I dunno if for this I need to reboot my box and try re-emerging but I just wanted to let you guys know that you're not alone - if you're, too, stumbling over this error
_________________
https://github.com/kernelOfTruth/ZFS-for-SystemRescueCD/tree/ZFS-for-SysRescCD-4.9.0
https://github.com/kernelOfTruth/pulseaudio-equalizer-ladspa

Hardcore Gentoo Linux user since 2004 :D
Back to top
View user's profile Send private message
Hwoarang
Retired Dev
Retired Dev


Joined: 24 Feb 2007
Posts: 701
Location: Leeds, UK

PostPosted: Thu Jul 02, 2009 11:23 pm    Post subject: Reply with quote

Are you using kde? Is kde flag enabled on qt-webkit?
Back to top
View user's profile Send private message
kernelOfTruth
Watchman
Watchman


Joined: 20 Dec 2005
Posts: 6108
Location: Vienna, Austria; Germany; hello world :)

PostPosted: Fri Jul 03, 2009 1:59 pm    Post subject: Reply with quote

Hwoarang wrote:
Are you using kde? Is kde flag enabled on qt-webkit?


yes !
Quote:
[ebuild R ] x11-libs/qt-webkit-4.5.9999 USE="kde qt-copy -debug -pch"


shouldn't it ?
_________________
https://github.com/kernelOfTruth/ZFS-for-SystemRescueCD/tree/ZFS-for-SysRescCD-4.9.0
https://github.com/kernelOfTruth/pulseaudio-equalizer-ladspa

Hardcore Gentoo Linux user since 2004 :D
Back to top
View user's profile Send private message
Hwoarang
Retired Dev
Retired Dev


Joined: 24 Feb 2007
Posts: 701
Location: Leeds, UK

PostPosted: Fri Jul 03, 2009 2:11 pm    Post subject: Reply with quote

No you should

Strange I cant reproduce it here

I will try again :)

btw, is your qting-edge overlay clone up2date?
Back to top
View user's profile Send private message
Hwoarang
Retired Dev
Retired Dev


Joined: 24 Feb 2007
Posts: 701
Location: Leeds, UK

PostPosted: Sat Jul 04, 2009 6:42 pm    Post subject: Reply with quote

Yes this bug is valid.

Apparently kde folks are changing qt source code without testing it :/

I ll try to fix it today
Back to top
View user's profile Send private message
kernelOfTruth
Watchman
Watchman


Joined: 20 Dec 2005
Posts: 6108
Location: Vienna, Austria; Germany; hello world :)

PostPosted: Sat Jul 04, 2009 7:51 pm    Post subject: Reply with quote

Hwoarang wrote:
Yes this bug is valid.

Apparently kde folks are changing qt source code without testing it :/

I ll try to fix it today


thanks Hwoarang !

meanwhile I've upgraded to qt 4.9999 from 4.5.9999 and that worked

seems like kde-live ebuilds need it as a dependency 8O
_________________
https://github.com/kernelOfTruth/ZFS-for-SystemRescueCD/tree/ZFS-for-SysRescCD-4.9.0
https://github.com/kernelOfTruth/pulseaudio-equalizer-ladspa

Hardcore Gentoo Linux user since 2004 :D
Back to top
View user's profile Send private message
wrc1944
Advocate
Advocate


Joined: 15 Aug 2002
Posts: 3231
Location: Gainesville, Florida

PostPosted: Sat Jul 04, 2009 9:08 pm    Post subject: Reply with quote

Hmmm.. A few days ago, I went back to qt-4.5.2 in portage (was using the qting-edge overlay's qt-4.9999's) with kde-live, according to developer tampakrap's advice here. https://forums.gentoo.org/viewtopic-p-5836319-highlight-.html#5836319
Is this no longer recommended, and all kde-live users should be using 4.9999?
_________________
Main box- AsRock x370 Gaming K4
Ryzen 1700, 3.0GHz, 16GB GSkill Flare DDR4 3200mhz
Samsung SATA 1000GB, Radeon HD R7 350 2GB DDR5
Gentoo ~amd64 plasma, glibc-2.29-r2, gcc-9.1.0 kernel-5.0.14-gentoo USE=experimental
Back to top
View user's profile Send private message
Hwoarang
Retired Dev
Retired Dev


Joined: 24 Feb 2007
Posts: 701
Location: Leeds, UK

PostPosted: Sat Jul 04, 2009 11:01 pm    Post subject: Reply with quote

4.9999 packages are Qt-4.6 trunk. Kde-live packages are using kde trunk which is 4.4 now. I am not sure if kde-4.4 requires Qt-4.6 :/
Back to top
View user's profile Send private message
wrc1944
Advocate
Advocate


Joined: 15 Aug 2002
Posts: 3231
Location: Gainesville, Florida

PostPosted: Sun Jul 05, 2009 4:16 am    Post subject: Reply with quote

Thanks Hwoarang,
For what it's worth, both my Gentoo/kde-live 32 bit install completely compiled with gcc-4.4.1_pre AND my Gentoo/kde-live 64 bit install compiled with gcc-4.3.3 seem to be functioning equally as good with qt-4.5.2 as they were with qt-4.9999.

Guess for now I'll stay with qt-4.5.2 until I run into any qt related problems.

I have noticed with the gcc-4.4.1_pre install a definite improvement in system, world, and kde-live compile times.
_________________
Main box- AsRock x370 Gaming K4
Ryzen 1700, 3.0GHz, 16GB GSkill Flare DDR4 3200mhz
Samsung SATA 1000GB, Radeon HD R7 350 2GB DDR5
Gentoo ~amd64 plasma, glibc-2.29-r2, gcc-9.1.0 kernel-5.0.14-gentoo USE=experimental
Back to top
View user's profile Send private message
Hwoarang
Retired Dev
Retired Dev


Joined: 24 Feb 2007
Posts: 701
Location: Leeds, UK

PostPosted: Mon Jul 06, 2009 7:56 pm    Post subject: Reply with quote

qt-webkit-4.5.9999 should be ok now ( i think :/ )
Back to top
View user's profile Send private message
Etrnls
n00b
n00b


Joined: 20 Dec 2008
Posts: 8

PostPosted: Sat Jul 25, 2009 10:22 am    Post subject: qt-core-4.9999 compile failed Reply with quote

Code:

linking ../../../bin/moc                                                                                                                                                         
release-shared/qstring.o: In function `QString::fromUcs4(unsigned int const*, int)':                                                                                             
qstring.cpp:(.text+0x2f07): undefined reference to `QUtf32::convertToUnicode(char const*, int, QTextCodec::ConverterState*, DataEndianness)'                                     
release-shared/qstring.o: In function `QString::fromUtf16(unsigned short const*, int)':                                                                                         
qstring.cpp:(.text+0x2fd6): undefined reference to `QUtf16::convertToUnicode(char const*, int, QTextCodec::ConverterState*, DataEndianness)'                                     
release-shared/qstring.o: In function `QString::fromUtf8(char const*, int)':                                                                                                     
qstring.cpp:(.text+0x4223): undefined reference to `QUtf8::convertToUnicode(char const*, int, QTextCodec::ConverterState*)'                                                     
collect2: ld returned 1 exit status                                                                                                                                             
make: *** [../../../bin/moc] Error 1                                                                                                                                             
 *                                                                                                                                                                               
 * ERROR: x11-libs/qt-core-4.9999 failed.                                                                                                                                       
 * Call stack:                                                                                                                                                                   
 *               ebuild.sh, line   49:  Called src_compile                                                                                                                       
 *             environment, line 3432:  Called qt4-build-edge_src_compile                                                                                                       
 *             environment, line 3142:  Called build_directories '                                                                                                               
 * src/tools/bootstrap                                                                                                                                                           
 * src/tools/moc/                                                                                                                                                               
 * src/tools/rcc/                                                                                                                                                               
 * src/tools/uic/                                                                                                                                                               
 * src/corelib/                                                                                                                                                                 
 * src/xml/                                                                                                                                                                     
 * src/network/                                                                                                                                                                 
 * src/plugins/codecs/'                                                                                                                                                         
 *             environment, line  624:  Called die                                                                                                                               
 * The specific snippet of code:                                                                                                                                                 
 *           emake || die "emake failed";                                                                                                                                       
 *  The die message:                                                                                                                                                             
 *   emake failed                                                                                                                                                               
 *                                                                                                                                                                               
 * If you need support, post the topmost build error, and the call stack if relevant.                                                                                           
 * A complete build log is located at '/var/tmp/portage/x11-libs/qt-core-4.9999/temp/build.log'.                                                                                 
 * The ebuild environment file is located at '/var/tmp/portage/x11-libs/qt-core-4.9999/temp/environment'.                                                                       
 * This ebuild used the following eclasses from overlays:                                                                                                                       
 *   /usr/local/portage/layman/qting-edge/eclass/qt4-build-edge.eclass                                                                                                           
 * This ebuild is from an overlay named 'qting-edge': '/usr/local/portage/layman/qting-edge/'                                                                                   
 *

I turned ccache off and changed from -j3 to -j1, same error
Back to top
View user's profile Send private message
Hwoarang
Retired Dev
Retired Dev


Joined: 24 Feb 2007
Posts: 701
Location: Leeds, UK

PostPosted: Sat Jul 25, 2009 10:35 am    Post subject: Reply with quote

Should be an upstream issue. Try again later
Back to top
View user's profile Send private message
kernelOfTruth
Watchman
Watchman


Joined: 20 Dec 2005
Posts: 6108
Location: Vienna, Austria; Germany; hello world :)

PostPosted: Sat Jul 25, 2009 1:15 pm    Post subject: Reply with quote

Hwoarang wrote:
Should be an upstream issue. Try again later


++

no need to use qt-4.6 upstream repo "snapshot" stuff,

besides faster gui and twice as fast webkit (-> see arora or rekonq usage) there's more disadvantages right now than 4.5* (lots of crashing, non-functioning stuff and therefore failing compilations on apps depending on qt)
_________________
https://github.com/kernelOfTruth/ZFS-for-SystemRescueCD/tree/ZFS-for-SysRescCD-4.9.0
https://github.com/kernelOfTruth/pulseaudio-equalizer-ladspa

Hardcore Gentoo Linux user since 2004 :D
Back to top
View user's profile Send private message
loftwyr
l33t
l33t


Joined: 29 Dec 2004
Posts: 970
Location: 43°38'23.62"N 79°27'8.60"W

PostPosted: Mon Aug 10, 2009 2:05 am    Post subject: Reply with quote

Is there anyway you would consider adding "stable" qt ebuilds to your overlay? Qt-4.5.2? I know you focus on live ebuilds but there are no overlays (that I can find) with qt-copy enabled ebuilds except yours and having 4.5.2 with qt-copy would be a great thing.

Thanks in advance
_________________
My emerge --info
Have you run revdep-rebuild lately? It's in gentoolkit and it's worth a shot if things don't work well.
Celebrating 5 years of Gentoo-ing.
Back to top
View user's profile Send private message
yngwin
Retired Dev
Retired Dev


Joined: 19 Dec 2002
Posts: 4572
Location: Suzhou, China

PostPosted: Mon Aug 10, 2009 5:32 pm    Post subject: Reply with quote

You want 4.5.9999 with USE=qt-copy then. This is the stable 4.5 branch with the latest fixes and qt-copy patches from kde applied.
_________________
"Those who deny freedom to others deserve it not for themselves." - Abraham Lincoln
Free Culture | Defective by Design | EFF
Back to top
View user's profile Send private message
Hwoarang
Retired Dev
Retired Dev


Joined: 24 Feb 2007
Posts: 701
Location: Leeds, UK

PostPosted: Tue Aug 11, 2009 2:57 pm    Post subject: Reply with quote

+1 ^

qt-copy clones this repo for Qt ebuilds

http://qt.gitorious.org/qt/kde-qt
Back to top
View user's profile Send private message
SpectreDragon
Tux's lil' helper
Tux's lil' helper


Joined: 22 Aug 2008
Posts: 92
Location: Germany

PostPosted: Tue Sep 01, 2009 11:29 pm    Post subject: Reply with quote

dev-util/qt-creator-9999

Code:
 * Failed Patch: docs_gen.patch !
 *  ( /usr/local/portage/layman/qting-edge/dev-util/qt-creator/files/docs_gen.patch )
 *
 * Include in your bugreport the contents of:
 *
 *   /var/tmp/portage/dev-util/qt-creator-9999/temp/docs_gen.patch-14483.out
 *
 * ERROR: dev-util/qt-creator-9999 failed.
 * Call stack:
 *               ebuild.sh, line   49:  Called src_prepare
 *             environment, line 2801:  Called qt4-edge_src_prepare
 *             environment, line 2724:  Called base_src_prepare
 *             environment, line  318:  Called base_src_util 'autopatch'
 *             environment, line  368:  Called epatch '/usr/local/portage/layman/qting-edge/dev-util/qt-creator/files/docs_gen.patch'
 *             environment, line 1376:  Called die
 * The specific snippet of code:
 *                   die "Failed Patch: ${patchname}!";
 *  The die message:
 *   Failed Patch: docs_gen.patch!


part from docs_gen.patch-14483.out
Code:
PATCH COMMAND:   patch -p1 -g0 -E --no-backup-if-mismatch < /usr/local/portage/layman/qting-edge/dev-util/qt-creator/files/docs_gen.patch

==========================
patching file doc/doc.pri
Hunk #1 FAILED at 1.
1 out of 1 hunk FAILED -- saving rejects to file doc/doc.pri.rej
==========================


unfortunately i was not able to create a working patch.
Back to top
View user's profile Send private message
Rion
Guru
Guru


Joined: 12 Oct 2006
Posts: 376
Location: Ekaterinburg, Russia

PostPosted: Thu Sep 10, 2009 8:26 am    Post subject: Reply with quote

failed to compile x11-libs/qt-assistant-4.6.0_alpha_pre1

Code:
>>> Source prepared.
>>> Configuring source in /var/tmp/portage/x11-libs/qt-assistant-4.6.0_alpha_pre1/work/qt-everywhere-opensource-src-4.6.0-tp1 ...
./configure -L/usr/lib64 -pch -release -no-separate-debug-info -arch x86_64 -platform linux-g++ -stl -verbose -largefile -confirm-license -no-rpath -prefix /usr -bindir /usr/bin -libdir /usr/lib64/qt4 -datadir /usr/share/qt4 -docdir /usr/share/doc/qt-4.6.0_alpha_pre1 -headerdir /usr/include/qt4 -plugindir /usr/lib64/qt4/plugins -sysconfdir /etc/qt4 -translationdir /usr/share/qt4/translations -examplesdir /usr/share/qt4/examples -demosdir /usr/share/qt4/demos -silent -fast -no-exceptions -reduce-relocations -nomake examples -nomake demos -opensource -no-xkb -no-fontconfig -no-xrender -no-xrandr -no-xfixes -no-xcursor -no-xinerama -no-xshape -no-sm -no-opengl -no-nas-sound -no-dbus -iconv -no-cups -no-nis -no-gif -no-libpng -no-libmng -no-libjpeg -no-openssl -system-zlib -no-phonon -no-xmlpatterns -no-freetype -no-libtiff -no-accessibility -no-fontconfig -no-glib -no-opengl -no-qt3support -no-svg
grep: /var/tmp/portage/x11-libs/qt-assistant-4.6.0_alpha_pre1/work/qt-everywhere-opensource-src-4.6.0-tp1/src/corelib/global/qglobal.h: Нет такого файла или каталога (No such file or directory)

_________________
~amd64
rion-overlay
Back to top
View user's profile Send private message
kernelOfTruth
Watchman
Watchman


Joined: 20 Dec 2005
Posts: 6108
Location: Vienna, Austria; Germany; hello world :)

PostPosted: Thu Sep 10, 2009 11:56 am    Post subject: Reply with quote

same here with qt-assistant 4.6..9999:
Quote:
make: Nothing to be done for `install'.
!!! dobin: /var/tmp/portage/x11-libs/qt-assistant-4.6.9999/work/qt-x11-opensource-src-4.6.9999/tools/qdoc3/qdoc3 does not exist
*
* ERROR: x11-libs/qt-assistant-4.6.9999 failed.
* Call stack:
* ebuild.sh, line 49: Called src_install
* environment, line 3587: Called die
* The specific snippet of code:
* dobin "${S}"/tools/qdoc3/qdoc3 || die "Installing qdoc3 failed";
* The die message:
* Installing qdoc3 failed
(but another error)
_________________
https://github.com/kernelOfTruth/ZFS-for-SystemRescueCD/tree/ZFS-for-SysRescCD-4.9.0
https://github.com/kernelOfTruth/pulseaudio-equalizer-ladspa

Hardcore Gentoo Linux user since 2004 :D
Back to top
View user's profile Send private message
gaelic
Tux's lil' helper
Tux's lil' helper


Joined: 30 Dec 2003
Posts: 119
Location: Vienna, Austria, Europe, World, Solar System, Milky Way, Universe

PostPosted: Sun Sep 13, 2009 2:56 pm    Post subject: Reply with quote

Hwoarang wrote:
4.9999 packages are Qt-4.6 trunk. Kde-live packages are using kde trunk which is 4.4 now. I am not sure if kde-4.4 requires Qt-4.6 :/


The discussion was on at the kde-core-devel list: http://lists.kde.org/?t=125163852900001&r=1&w=2

As i know they finish kde-4.4 with qt-4.5 support, because it's not sure when qt-4.6 is finalized ...
_________________
knowledge is power
Back to top
View user's profile Send private message
Rion
Guru
Guru


Joined: 12 Oct 2006
Posts: 376
Location: Ekaterinburg, Russia

PostPosted: Mon Sep 14, 2009 5:57 am    Post subject: Reply with quote

while compiling qt-assistant-4.6.0_alpha_pre1 i get lots of messages like:
Code:
c:76: Cannot find example file 'examples/linguist/trollprint/printpanel.cpp'
/var/tmp/portage/x11-libs/qt-assistant-4.6.0_alpha_pre1/work/qt-everywhere-opensource-src-4.6.0-tp1/doc/src/examples/trollprint.qdoc:76: Unexpected '\snippet (//! [0])'
/var/tmp/portage/x11-libs/qt-assistant-4.6.0_alpha_pre1/work/qt-everywhere-opensource-src-4.6.0-tp1/doc/src/examples/trollprint.qdoc:81: Cannot find example file 'examples/linguist/trollprint/printpanel.cpp'
/var/tmp/portage/x11-libs/qt-assistant-4.6.0_alpha_pre1/work/qt-everywhere-opensource-src-4.6.0-tp1/doc/src/examples/trollprint.qdoc:81: Unexpected '\snippet (//! [1])'

and
Code:
Warning: The file /var/tmp/portage/x11-libs/qt-assistant-4.6.0_alpha_pre1/work/qt-everywhere-opensource-src-4.6.0-tp1/doc-build/html-qt/qtglobal-members.html does not exist! Skipping it.
Warning: The file /var/tmp/portage/x11-libs/qt-assistant-4.6.0_alpha_pre1/work/qt-everywhere-opensource-src-4.6.0-tp1/doc-build/html-qt/qtplugin-members.html does not exist! Skipping it.
Warning: The file /var/tmp/portage/x11-libs/qt-assistant-4.6.0_alpha_pre1/work/qt-everywhere-opensource-src-4.6.0-tp1/doc-build/html-qt/qtendian-members.html does not exist! Skipping it.

is it ok?
_________________
~amd64
rion-overlay
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Unsupported Software All times are GMT
Goto page Previous  1, 2, 3 ... 7, 8, 9 ... 14, 15, 16  Next
Page 8 of 16

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum